require 'spec_helper'

describe Octokom::Editor do
  let(:repo)    { double(toplevel_path: '~') }
  let(:title)   { 'Feature' }
  let(:desc)    { '...' }
  let(:editor)  { Octokom::Editor.new(repo, nil, nil) }

  describe '#open_editor' do
    before do
      allow(editor).to receive(:editor_name) { 'vi' }
    end

    it 'build the command' do
      expect(editor).to receive(:system).with(/^vi --nofork +6*+/)
      editor.open_editor
    end
  end

  describe '#parse_user_input' do
    before do
      allow(editor).to receive(:file_name) { './spec/support/OCTOKOM-123' }
    end

    it 'finds the title' do
      expect(editor.parse_user_input[0]).to eq('Chunky Bacon')
    end

    it 'finds the description' do
      expect(editor.parse_user_input[1]).to eq("Really\n    remarkable!")
    end
  end
end
